<template>
  <v-dialog v-model="dialogDataProp" persistent width="600px" height="600px">
    <v-card>
      <v-card-title>
        <h3>Formulario de Entrega</h3>
      </v-card-title>
      <v-card-text>
        <v-flex xs12 sm12 md12 d-flex>
          <p>{{ id.consigned.name }}</p>
        </v-flex>

        <v-flex xs12 sm12 md12 d-flex>
          <v-textarea v-model="notes" name="input-7-1" label="Anotaciones"></v-textarea>
        </v-flex>

        <v-flex xs12 sm12 md12 d-flex>
          <upload-image v-model="image"/>
        </v-flex>

        <v-flex xs12 sm12 md12 d-flex>

        </v-flex>
        <!-- Formulario -->
        <v-divider></v-divider>
      </v-card-text>

      <v-card-actions>
        <v-spacer></v-spacer>

        <v-btn color="warning" flat @click="closeDialog">Cancelar</v-btn>
        <v-btn color="primary" flat @click="onConfirm">
          <v-icon>send</v-icon>
          Enviar
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
  import {
    mapGetters,
    mapActions
  } from 'vuex';
  import UploadImage from '../UploadImage'
  import server from '../../server';
  import axios from 'axios';

  export default {
    name: "TaskDialogTerminateInd",
    components: {
      UploadImage
    },
    props: {
      dialog: Boolean,
      id: Object
    },
    data() {
      return {
        selected: [],
        notes: '',
        image: ''
      }
    },
    methods: {
      closeDialog() {
        this.$emit('close-dialog', 'false');
      },
      onConfirm(){
        const datas = {
          'user_id': this.getUser.id,
          'transporte_id': this.id.id,
          'images': this.image,
          'notes': this.notes,
          'task': this.id
        };

        const rest = axios.post(`${server}/api/terminaciones-externos`, datas, {
          headers: {
            Authorization: this.$store.getters.getAccessToken
          }
        }).then(() => {
          this.$parent.updateMessage();
          this.closeDialog();
        });

      },
    },
    computed: {
      ...mapGetters([
        'getUser',
      ]),
      dialogDataProp: {
        get: function () {
          return this.dialog
        },
        set() {
        }
      }
    },
  }
</script>

<style scoped>

</style>
